Package ch.qos.logback.core.joran.spi

# Class DefaultNestedComponentRegistry

java.lang.Object
ch.qos.logback.core.joran.spi.DefaultNestedComponentRegistry

public class DefaultNestedComponentRegistry extends Object
A registry which maps a property in a host class to a default class.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`DefaultNestedComponentRegistry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Class<?> hostClass, String propertyName, Class<?> componentClass)`
`Class<?>`
`findDefaultComponentType(Class<?> hostClass, String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultNestedComponentRegistry

public DefaultNestedComponentRegistry()

## Method Details

### add

public void add(Class<?> hostClass, String propertyName, Class<?> componentClass)

### findDefaultComponentType

public Class<?> findDefaultComponentType(Class<?> hostClass, String propertyName)